/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.SimpleDateFormat;

import com.rjconsultores.ventaboletos.entidad.PtovtaAntecipacomissao;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class PtovtaAntecipacomissaoRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PtovtaAntecipacomissao antecipa = (PtovtaAntecipacomissao) o;

      
        
        SimpleDateFormat dt = new SimpleDateFormat("dd/MM/yy");
        Listcell  lc = new Listcell(dt.format(antecipa.getData()));
		lc.setParent(lstm);

        lc = new Listcell(antecipa.getRetem().toString());
        lc.setParent(lstm);
        
        lc = new Listcell(antecipa.getPercentual().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", antecipa);
    }
}
